# Renderd7-nightly: nlohmann::detail::other_error Class Reference

nlohmann::detail::other_error Class Reference

exception indicating other library errors More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::other_error:

## Additional Inherited Members

Public Member Functions inherited from nlohmann::detail::exception
const JSON_HEDLEY_RETURNS_NON_NULL char * | what () const noexcept override
| returns the explanatory string
Public Attributes inherited from nlohmann::detail::exception
const int | id
| the id of the exception

## Detailed Description

exception indicating other library errors

This exception is thrown in case of errors that cannot be classified with the other exception types.

Exceptions have ids 5xx.

name / id | example message | description
--- | --- | ---
json.exception.other_error.501 | unsuccessful: {"op":"test","path":"/baz", "value":"bar"} | A JSON Patch operation 'test' failed. The unsuccessful operation is also printed.

See also
  - exception for the base class of the library exceptions
  - parse_error for exceptions indicating a parse error
  - invalid_iterator for exceptions indicating errors with iterators
  - type_error for exceptions indicating executing a member function with a wrong type
  - out_of_range for exceptions indicating access out of the defined range

@liveexample{The following code shows how an `other_error` exception can be caught.,other_error}

Since
  version 3.0.0